package com.acme.util.ui;


public class WindowManager
{
    private static WindowManager windowManager = null;
    private static ExceptionHandler handler = null;
    private static StatusUtil statusUtil = null;


    static
    {
        windowManager = new WindowManager();
        handler = new ExceptionDispatcher();
        try
        {
            statusUtil = new StatusUtil();
        }
        catch (Exception e)
        {
        }
    }

    public static WindowManager getInstance()
    {
        if (windowManager == null)
            windowManager = new WindowManager();
        return windowManager;
    }

    public static ExceptionHandler getHandler()
    {
        return handler;
    }

    public static StatusUtil getStatusUtil()
    {
        return statusUtil;
    }
}
